# eDO App

### How does it work?

eDO App is a mobile application designed to verify holders of ID cards and passports with the NFC function. Integrate the app to securely confirm the identity of eDO App users and receive data about the user as well as the document used during the verification process.

More about this service you can find [here](https://www.transactionlink.io/integrations/edo-app)

### Response content

**edo**

| Attribute            | Type     | Description                                                                                                                                                                                                                                                                        |
| -------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `dateOfBirth`        | `string` | Date of birth in YYYYMMDD format                                                                                                                                                                                                                                                   |
| `fathersName`        | `string` | First name(s) of the person's father                                                                                                                                                                                                                                               |
| `mothersName`        | `string` | First name(s) of the person's mother                                                                                                                                                                                                                                               |
| `personalNumber`     | `string` | Personal identification number                                                                                                                                                                                                                                                     |
| `firstName`          | `string` | First name(s) of the person                                                                                                                                                                                                                                                        |
| `secondName`         | `string` | Second name(s) of the person                                                                                                                                                                                                                                                       |
| `issuerState`        | `string` | State or country that issued the identification document                                                                                                                                                                                                                           |
| `sex`                | `string` | Gender of the person (M or F)                                                                                                                                                                                                                                                      |
| `parentNames`        | `string` | First name(s) of both parents                                                                                                                                                                                                                                                      |
| `nationality`        | `string` | Nationality of the person                                                                                                                                                                                                                                                          |
| `familyName`         | `string` | Last name(s) of the person                                                                                                                                                                                                                                                         |
| `givenNames`         | `string` | First and second name(s) of the person                                                                                                                                                                                                                                             |
| `placeOfBirth`       | `string` | Place of birth                                                                                                                                                                                                                                                                     |
| `surname`            | `string` | Surname of the person                                                                                                                                                                                                                                                              |
| `idissuingAuthority` | `string` | Issuing authority of the identification document                                                                                                                                                                                                                                   |
| `idexpiryDate`       | `string` | Expiry date of the identification document in DDMMYY format                                                                                                                                                                                                                        |
| `idtype`             | `string` | The type of identity document used. Possible values: "A" for a data from the identity server, "E" for ID card with an active container only for the "Certificate to confirm presence", "I" for ID card, "P" for passport, "Q" for qualified signature, and "S" for residence card. |
| `iddateOfIssue`      | `string` | Date of issue of the identification document in DDMMYY format                                                                                                                                                                                                                      |
| `idnumber`           | `string` | Identification number on the identification document                                                                                                                                                                                                                               |

#### Example response

```json
{
   "edo" : {
      "dateOfBirth":"20020929",
      "fathersName":"BONAWENTURA",
      "mothersName":"MAŁGORZATA",
      "personalNumber":"02292900109",
      "firstName":"WACŁAWA",
      "secondName":"BOGUSŁAWA",
      "issuerState":"PL",
      "sex":"F",
      "parentNames":"BONAWENTURA MAŁGORZATA",
      "nationality":"POL",
      "familyName":"WIECZORKIEWICZ",
      "givenNames":"WACŁAWA BOGUSŁAWA",
      "placeOfBirth":"DALESZEWICE-KOLONIA PIERWSZA",
      "surname":"WIECZORKIEWICZ",
      "idissuingAuthority":"WÓJT GMINY NIEBORÓW",
      "idexpiryDate":"300717",
      "idtype":"I",
      "iddateOfIssue":"20200717",
      "idnumber":"XXX901207"
   }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/edo-app.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
